Uploads

Create document upload

POST
/v1/uploads

Creates an upload and returns a presigned url to upload the document data

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/uploads" \  -H "Content-Type: application/json" \  -d '{    "supporting_document_type": "COURT_ORDER",    "policy_number": "string",    "upload_type": "supporting_document",    "content_type": "application/pdf"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "url": "http://example.com"}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}